List models
curl --request GET \
--url https://api.voyager.so/v1/models \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.voyager.so/v1/models"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.voyager.so/v1/models', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"data": [
{
"id": "<string>",
"name": "<string>",
"type": "image",
"default": true,
"status": "<string>",
"operations": [
"text-to-image"
],
"price": {
"basis": "rate",
"unit": "<string>",
"estimated_charge": 123,
"estimated_charge_max": 123
},
"object": "model",
"summary": "<string>",
"best_for": "<string>",
"available": true,
"unavailable_reason": "plan_locked",
"required_plan": "<string>"
}
],
"has_more": true,
"next_cursor": "<string>",
"object": "list"
}{
"error": {
"type": "invalid_request",
"code": "invalid_request",
"message": "<string>",
"doc_url": "<string>",
"request_id": "<string>",
"retryable": true,
"retry_after_ms": 123,
"param": "<string>",
"details": {}
}
}{
"error": {
"type": "invalid_request",
"code": "invalid_request",
"message": "<string>",
"doc_url": "<string>",
"request_id": "<string>",
"retryable": true,
"retry_after_ms": 123,
"param": "<string>",
"details": {}
}
}{
"error": {
"type": "invalid_request",
"code": "invalid_request",
"message": "<string>",
"doc_url": "<string>",
"request_id": "<string>",
"retryable": true,
"retry_after_ms": 123,
"param": "<string>",
"details": {}
}
}{
"error": {
"type": "invalid_request",
"code": "invalid_request",
"message": "<string>",
"doc_url": "<string>",
"request_id": "<string>",
"retryable": true,
"retry_after_ms": 123,
"param": "<string>",
"details": {}
}
}List models
The models the API can run, with expected price and (when known) availability for this workspace.
GET
/
models
List models
curl --request GET \
--url https://api.voyager.so/v1/models \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.voyager.so/v1/models"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.voyager.so/v1/models', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"data": [
{
"id": "<string>",
"name": "<string>",
"type": "image",
"default": true,
"status": "<string>",
"operations": [
"text-to-image"
],
"price": {
"basis": "rate",
"unit": "<string>",
"estimated_charge": 123,
"estimated_charge_max": 123
},
"object": "model",
"summary": "<string>",
"best_for": "<string>",
"available": true,
"unavailable_reason": "plan_locked",
"required_plan": "<string>"
}
],
"has_more": true,
"next_cursor": "<string>",
"object": "list"
}{
"error": {
"type": "invalid_request",
"code": "invalid_request",
"message": "<string>",
"doc_url": "<string>",
"request_id": "<string>",
"retryable": true,
"retry_after_ms": 123,
"param": "<string>",
"details": {}
}
}{
"error": {
"type": "invalid_request",
"code": "invalid_request",
"message": "<string>",
"doc_url": "<string>",
"request_id": "<string>",
"retryable": true,
"retry_after_ms": 123,
"param": "<string>",
"details": {}
}
}{
"error": {
"type": "invalid_request",
"code": "invalid_request",
"message": "<string>",
"doc_url": "<string>",
"request_id": "<string>",
"retryable": true,
"retry_after_ms": 123,
"param": "<string>",
"details": {}
}
}{
"error": {
"type": "invalid_request",
"code": "invalid_request",
"message": "<string>",
"doc_url": "<string>",
"request_id": "<string>",
"retryable": true,
"retry_after_ms": 123,
"param": "<string>",
"details": {}
}
}Authorizations
A Voyager API key from https://voyager.so/dashboard/api.
Query Parameters
Only models of this job type.
Available options:
image, video, speech, music, sound_effect, 3d, segment Only models that run this operation.
Available options:
text-to-image, edit, text-to-video, image-to-video, reference-to-video, tts, music, sound-effects, text-to-3d, image-to-3d, image-to-3d-body, align-3d, segment-image, segment-image-data, segment-video, segment-video-data, segment-everything, image-embedding Words in the id, name or description.
Maximum string length:
100Required range:
1 <= x <= 100Maximum string length:
400Response
Successful Response